/**
  ******************************************************************************
  * @file    main.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2012
  * @brief   This file contains all the prototypes/macros for main.c.
  ******************************************************************************
  */
// Define to prevent recursive inclusion -------------------------------------
#ifndef __MAIN_H
#define __MAIN_H

// Includes ------------------------------------------------------------------
#include "stm8s.h"

// Exported types ------------------------------------------------------------
void GPIO_Configuration(void);
void Toggle(void);


// Global variables ----------------------------------------------------------
#define TIM4_PERIOD       124
// On board push button definition 
#define BUTTON_PORT GPIOB
#define BUTTON_PIN GPIO_PIN_7




#endif /* __MAIN_H */

